std::invalid_argument(3cxx)

NAME
std::invalid_argument

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions

invalid_argument (const string &__arg) _GLIBCXX_TXN_SAFE
invalid_argument (const char *) _GLIBCXX_TXN_SAFE
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thrown to report invalid arguments to functions.

Definition at line 158 of file stdexcept.

Member Function Documentation

  virtual const char* std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.